AGAVERelatedAnnot (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVERelatedAnnot class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVERelatedAnnot

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVERelatedAnnot

    public class AGAVERelatedAnnot

extends Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVERelatedAnnot()` construct..

Method Summary
`void` | `addElementId(String id)`
`void` | `addProp(AGAVEProperty prop)`
`String[]` | `getElementIds()`
`AGAVEProperty[]` | `getProps()`
`String` | `getRel()`
`String` | `getScore()`
`void` | `setRel(String rel)`
`void` | `setScore(String score)`
`String` | `toString()`
`String` | `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVERelatedAnnot

    public AGAVERelatedAnnot()

  construct..

Method Detail

### setRel

    public void setRel(String rel)

### setScore

    public void setScore(String score)

### addElementId

    public void addElementId(String id)

  Parameters:
    `id` - is content of the tag of

### addProp

    public void addProp(AGAVEProperty prop)

### getScore

    public String getScore()

### getRel

    public String getRel()

### getElementIds

    public String[] getElementIds()

### getProps

    public AGAVEProperty[] getProps()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD